package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairSchool;
import com.repair.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-12
 */
public interface RepairSchoolService extends IService<RepairSchool> {
    int insertRepairSchool(RepairSchool rns);

    int updateRepairSchool(RepairSchool rns);

    PageUtils<RepairSchool> queryPageRepairSchools(int currentPage, int pageCount, String name);

    int deleteRepairSchoolById(int id);

    RepairSchool getRepairById(int id);

}
